import java.awt.Dimension;
import java.awt.FlowLayout;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
import javax.swing.JPanel;
import javax.swing.JTextField;

public class FrameExample extends JFrame {

	private static final long serialVersionUID = 1L;

	private JPanel jContentPane = null;

	private JButton calcButton = null;

	private JTextField valueJTF = null;

	private JLabel resultLabel = null;

	private JMenuBar myMenuBar = null;

	private JMenu fileMenu = null;

	private JMenuItem fileExitMenuItem = null;

	/**
	 * This is the default constructor
	 */
	public FrameExample() {
		super();
		initialize();
	}

	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setSize(300, 200);
		this.setJMenuBar(getMyMenuBar());
		this.setContentPane(getJContentPane());
		this.setTitle("Frame Example");
		this.setResizable(true);
	}

	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane() {
		if (jContentPane == null) {
			resultLabel = new JLabel();
			resultLabel.setText("0");
			jContentPane = new JPanel();
			jContentPane.setLayout(new FlowLayout());
			jContentPane.add(getValueJTF(), null);  // Generated
			jContentPane.add(getCalcButton(), null);  // Generated
			jContentPane.add(resultLabel, null);  // Generated
		}
		return jContentPane;
	}

	/**
	 * This method initializes calcButton	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private JButton getCalcButton() {
		if (calcButton == null) {
			calcButton = new JButton();
			calcButton.setText("x 2");
//			calcButton.setOpaque(true);
//			calcButton.setBackground(Color.BLUE);
			calcButton.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					String text = valueJTF.getText();
					int value = Integer.parseInt(text);
					int result = value * 2;
					resultLabel.setText(Integer.toString(result));
				}
			});
			calcButton.addMouseListener(new MouseListener(){

				public void mouseClicked(MouseEvent arg0) {
					// TODO Auto-generated method stub
					
				}

				public void mouseEntered(MouseEvent arg0) {
					calcButton.setText("mult por 2");
					
				}

				public void mouseExited(MouseEvent arg0) {
					calcButton.setText("x 2");
				}

				public void mousePressed(MouseEvent arg0) {
					// TODO Auto-generated method stub
					
				}

				public void mouseReleased(MouseEvent arg0) {
					// TODO Auto-generated method stub
					
				}
				
			});
		}
		return calcButton;
	}

	/**
	 * This method initializes valueJTF	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getValueJTF() {
		if (valueJTF == null) {
			valueJTF = new JTextField();
			valueJTF.setPreferredSize(new Dimension(80, 22));
			valueJTF.setText("0");
		}
		return valueJTF;
	}

	/**
	 * This method initializes myMenuBar	
	 * 	
	 * @return javax.swing.JMenuBar	
	 */
	private JMenuBar getMyMenuBar() {
		if (myMenuBar == null) {
			myMenuBar = new JMenuBar();
			myMenuBar.add(getFileMenu());
		}
		return myMenuBar;
	}

	/**
	 * This method initializes fileMenu	
	 * 	
	 * @return javax.swing.JMenu	
	 */
	private JMenu getFileMenu() {
		if (fileMenu == null) {
			fileMenu = new JMenu();
			fileMenu.setText("File");
			fileMenu.add(getFileExitMenuItem());
		}
		return fileMenu;
	}

	/**
	 * This method initializes fileExitMenuItem	
	 * 	
	 * @return javax.swing.JMenuItem	
	 */
	private JMenuItem getFileExitMenuItem() {
		if (fileExitMenuItem == null) {
			fileExitMenuItem = new JMenuItem();
			fileExitMenuItem.setText("Exit");
			fileExitMenuItem.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					System.exit(0);
				}
			});
		}
		return fileExitMenuItem;
	}

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		FrameExample frame = new FrameExample();
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.setVisible(true);
	}
}
