import java.awt.Dimension;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

import javax.swing.JButton;
import javax.swing.JCheckBox;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
import javax.swing.JPanel;
import javax.swing.JTextField;
import java.awt.Insets;

public class FrameExample2 extends JFrame {

	private static final long serialVersionUID = 1L;

	private JPanel jContentPane = null;

	private JButton calcButton = null;

	private JTextField valueJTF = null;

	private JLabel resultLabel = null;

	private JMenuBar myMenuBar = null;

	private JMenu fileMenu = null;

	private JMenuItem fileExitMenuItem = null;

	private JCheckBox jCheckBox = null;

	private JMenuItem newMenuItem = null;
	private JButton btnNewButton;

	/**
	 * This is the default constructor
	 */
	public FrameExample2() {
		super();
		initialize();
	}

	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setSize(300, 200);
		this.setJMenuBar(getMyMenuBar());
		this.setContentPane(getJContentPane());
		this.setTitle("Frame Title");
		this.setResizable(true);
	}

	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane() {
		if (jContentPane == null) {
			GridBagConstraints gridBagConstraints1 = new GridBagConstraints();
			gridBagConstraints1.insets = new Insets(0, 0, 5, 0);
			gridBagConstraints1.gridx = 1;  // Generated
			gridBagConstraints1.gridy = 0;  // Generated
			resultLabel = new JLabel();
			resultLabel.setText("0");
			jContentPane = new JPanel();
			jContentPane.setLayout(new GridBagLayout());
			GridBagConstraints cons = new GridBagConstraints();
			cons.insets = new Insets(0, 0, 5, 5);
			cons.gridx = 0;
			cons.gridy = 0;
			cons.gridwidth = 1;
			GridBagConstraints cons1 = new GridBagConstraints();
			cons1.insets = new Insets(0, 0, 5, 5);
			cons1.gridx = 0;
			cons1.gridy = 1;
			GridBagConstraints cons2 = new GridBagConstraints();
			cons2.insets = new Insets(0, 0, 5, 0);
			cons2.gridx = 1;
			cons2.gridy = 1;
			jContentPane.add(getValueJTF(), cons);  // Generated
			jContentPane.add(getCalcButton(), cons1);
			jContentPane.add(resultLabel, cons2);  // Generated
			jContentPane.add(getJCheckBox(), gridBagConstraints1);  // Generated
			GridBagConstraints gbc_btnNewButton = new GridBagConstraints();
			gbc_btnNewButton.gridwidth = 2;
			gbc_btnNewButton.insets = new Insets(0, 0, 0, 5);
			gbc_btnNewButton.gridx = 0;
			gbc_btnNewButton.gridy = 2;
			jContentPane.add(getBtnNewButton(), gbc_btnNewButton);
		}
		return jContentPane;
	}

	/**
	 * This method initializes calcButton	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private JButton getCalcButton() {
		if (calcButton == null) {
			calcButton = new JButton();
			calcButton.setText("x 2");
			calcButton.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					String text = valueJTF.getText();
					int value = Integer.parseInt(text);
					int result = value * 2;
					resultLabel.setText(Integer.toString(result));
				}
			});
			calcButton.addMouseListener(new MouseListener(){

				public void mouseClicked(MouseEvent arg0) {
					// TODO Auto-generated method stub
					
				}

				public void mouseEntered(MouseEvent arg0) {
					calcButton.setText("mult por 2");
					
				}

				public void mouseExited(MouseEvent arg0) {
					calcButton.setText("x 2");
				}

				public void mousePressed(MouseEvent arg0) {
					// TODO Auto-generated method stub
					
				}

				public void mouseReleased(MouseEvent arg0) {
					// TODO Auto-generated method stub
					
				}
				
			});
		}
		return calcButton;
	}

	/**
	 * This method initializes valueJTF	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getValueJTF() {
		if (valueJTF == null) {
			valueJTF = new JTextField();
			valueJTF.setPreferredSize(new Dimension(80, 22));
			valueJTF.setText("0");
		}
		return valueJTF;
	}

	/**
	 * This method initializes myMenuBar	
	 * 	
	 * @return javax.swing.JMenuBar	
	 */
	private JMenuBar getMyMenuBar() {
		if (myMenuBar == null) {
			myMenuBar = new JMenuBar();
			myMenuBar.add(getFileMenu());
		}
		return myMenuBar;
	}

	/**
	 * This method initializes fileMenu	
	 * 	
	 * @return javax.swing.JMenu	
	 */
	private JMenu getFileMenu() {
		if (fileMenu == null) {
			fileMenu = new JMenu();
			fileMenu.setText("File");
			fileMenu.add(getNewMenuItem());  // Generated
			fileMenu.add(getFileExitMenuItem());
		}
		return fileMenu;
	}

	/**
	 * This method initializes fileExitMenuItem	
	 * 	
	 * @return javax.swing.JMenuItem	
	 */
	private JMenuItem getFileExitMenuItem() {
		if (fileExitMenuItem == null) {
			fileExitMenuItem = new JMenuItem();
			fileExitMenuItem.setText("Exit");
			fileExitMenuItem.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					System.exit(0);
				}
			});
		}
		return fileExitMenuItem;
	}

	/**
	 * This method initializes jCheckBox	
	 * 	
	 * @return javax.swing.JCheckBox	
	 */
	private JCheckBox getJCheckBox() {
		if (jCheckBox == null) {
			jCheckBox = new JCheckBox();
			jCheckBox.addChangeListener(new javax.swing.event.ChangeListener() {
				public void stateChanged(javax.swing.event.ChangeEvent e) {
					System.out.println("stateChanged()"); // TODO Auto-generated Event stub stateChanged()
				}
			});
		}
		return jCheckBox;
	}

	/**
	 * This method initializes newMenuItem	
	 * 	
	 * @return javax.swing.JMenuItem	
	 */
	private JMenuItem getNewMenuItem() {
		if (newMenuItem == null) {
			newMenuItem = new JMenuItem();
			newMenuItem.setText("New");  // Generated
		}
		return newMenuItem;
	}

	private JButton getBtnNewButton() {
		if (btnNewButton == null) {
			btnNewButton = new JButton("New button");
		}
		return btnNewButton;
	}
	
	/**
	 * @param args
	 */
	public static void main(String[] args) {
		FrameExample2 frame = new FrameExample2();
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.setVisible(true);
	}

}
